#
# spec file for package seamonkey (Version 1.1.13)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    Mesa Mesa-devel PolicyKit aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 cairo cairo-devel coreutils cpio cpp cpp41 cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel desktop-translations diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib glib-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel indent info insserv klogd krb5 less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc41 libglade2 libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeui libgnomeui-devel libidl libidl-devel libjpeg libjpeg-devel libltdl libmudflap41 libnscd libpng libpng-devel libstdc++41 libstdc++41-devel libtiff libtool libusb libvolume_id libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers m4 mDNSResponder-lib make man mktemp module-init-tools mozilla-nspr mozilla-nspr-devel mozilla-nss mozilla-nss-devel myspell-american ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel orbit orbit-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl permissions pkgconfig pm-utils pmtools popt popt-devel post-build-checks procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zip zlib zlib-devel


Name:           seamonkey
# Checklist for updating:
# * Copy new sources (don't forget enigmail) and patches 
#   to your package checkout.
# * Increment Version: as necessary
# * Update releasedate
# * Ensure patches are in sync among all releases
# * configure.patch should be the last patch applied against the mozilla
#   source itself; the following patches apply to other tarballs.
# * configure.patch is regenerated (when necessary) by applying
#   pango-cairo.patch, dbus.patch, startup.patch to an unpacked source,
#   and then running autoconf 2.13.  debian.suse.de used to have this
#   version installed.  For more info see
#   http://developer.mozilla.org/en/docs/How_Mozilla's_build_system_works
# * Update the .changes file
# * Update this checklist if necessary and keep it in sync on all supported
#   platforms.
BuildRequires:  gcc-c++ libgnomeui-devel libidl-devel myspell-american orbit-devel update-desktop-files zip
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Provides:       web_browser
Version:        1.1.13
Release:        1.1
Summary:        The successor of the Mozilla Application Suite
Url:            http://www.mozilla.org/projects/seamonkey
Group:          Productivity/Networking/Web/Browsers
%if %suse_version > 1000
Provides:       mozilla
Obsoletes:      mozilla
%endif
Source:         seamonkey-source-%{version}.tar.bz2
Source1:        seamonkey-desktop.tar.bz2
Source2:        add-plugins.sh.in
Source3:        mozilla.sh.in
Source4:        suse-default-prefs.js
Source5:        LEOPlugin_MN.zip
Source6:        search-addons.tar.bz2
Source8:        addon-certs.txt
Source9:        enigmail-0.95.7.tar.bz2
Source11:       rebuild-databases.sh.in
Source12:       README.installed-chrome
Source13:       mozilla-make-package.pl
Source14:       mozex.jar
Patch1:         replytolist.patch
Patch2:         prefs.patch
Patch3:         list-replyto-clobber.patch
Patch4:         packages-unix.patch
Patch5:         disable-gconf.patch
Patch6:         prdtoa.patch
Patch7:         mozilla-bookmarks.diff
Patch8:         visibility.patch
Patch9:         abuild.patch 
Patch10:        mips.patch
Patch11:        freetype.dif
Patch12:        misc.dif
Patch13:        nss-opt.patch
Patch14:        xremote.patch
Patch15:        autoconf.dif
Patch17:        mozilla-default-plugin-less-annoying.patch
Patch18:        mozilla-gcc4.3-fixes.patch
Patch19:        mozilla-path_len.patch
Patch22:        cjk-postscript-fonts.dif
Patch27:        postscript.patch
Patch29:        cups-paper.patch
Patch30:        canvas-xlibs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         libstdc++ fileutils textutils /bin/sh
%define _unpackaged_files_terminate_build 0
%define releasedate 2008111000
%define progname seamonkey
%define prefix /usr
%define progdir %_libdir/%{progname}
%define my_provides %{_builddir}/%{?buildsubdir}/my-provides
%define my_requires %{_builddir}/%{?buildsubdir}/my-requires
%if %suse_version > 920
%define libgssapi libgssapi_krb5.so.2
%else
%define libgssapi libgssapi.so.1
%endif
### build options
%define milestone 1
%define debug     0
%define build_enigmail 1
### build options end
%if %suse_version > 930
BuildRequires:  mozilla-nspr-devel
PreReq:         mozilla-nspr >= %( echo `rpm -q --queryformat '%{VERSION}' mozilla-nspr`)
%endif
%if %suse_version > 1010
BuildRequires:  mozilla-nss-devel
PreReq:         mozilla-nss
%endif
%if %build_enigmail
Recommends:     gpg
%if %suse_version > 1020
Requires:       pinentry-dialog
%endif

%description
Originally based on the Netscape Communicator source, the SeaMonkey
project grew to be the most advanced web browser currently available.
It supports new techniques like CSS2, MathML, SVG, XML, transparent
PNGs, and its look is fully theme-able.



Authors:
--------
    SeaMonkey Council <seamonkey-council@mozilla.org>

%debug_package
%package mail
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Summary:        The SeaMonkey Mail Client
Group:          Productivity/Networking/Email/Clients
PreReq:         %{name} = %{version}
%if %suse_version > 1000
Provides:       mozilla-mail
Obsoletes:      mozilla-mail
%endif

%description mail
A mail and news client based on the SeaMonkey web browser. This client
supports IMAP, POP3, and NNTP, and has an easy to use interface.



Authors:
--------
    SeaMonkey Council <seamonkey-council@mozilla.org>

%package irc
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Summary:        IRC for SeaMonkey
Group:          Productivity/Networking/IRC
PreReq:         %{name} = %{version}
%if %suse_version > 1000
Provides:       mozilla-irc
Obsoletes:      mozilla-irc
%endif

%description irc
An IRC Client (Chatzilla) for SeaMonkey.



Authors:
--------
    SeaMonkey Council <seamonkey-council@mozilla.org>

%package venkman
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Summary:        The SeaMonkey JavaScript Debugger
Group:          Development/Tools/Debuggers
PreReq:         %{name} = %{version}
%if %suse_version > 1000
Provides:       mozilla-venkman
Obsoletes:      mozilla-venkman
%endif

%description venkman
A javascript debugger for the SeaMonkey web browser.



Authors:
--------
    SeaMonkey Council <seamonkey-council@mozilla.org>

%package dom-inspector
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Summary:        The SeaMonkey DOM Inspector
Group:          Development/Tools/Navigators
PreReq:         %{name} = %{version}
%if %suse_version > 1000
Provides:       mozilla-dom-inspector
Obsoletes:      mozilla-dom-inspector
%endif

%description dom-inspector
This is a tool that allows you to inspect the DOM for web pages in
SeaMonkey. This is of great use to people who are doing SeaMonkey
chrome development or web page development.



Authors:
--------
    SeaMonkey Council <seamonkey-council@mozilla.org>

%package spellchecker
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Summary:        A Spell Checker for SeaMonkey
Group:          Productivity/Networking/Email/Utilities
PreReq:         %{name} = %{version} 
%if %suse_version > 820
PreReq:         myspell-dictionary
%endif
%if %suse_version > 1000
Provides:       mozilla-spellchecker
Obsoletes:      mozilla-spellchecker
%endif

%description spellchecker
This package contains a spell checker application for the SeaMonkey
Internet application suite.



Authors:
--------
    SeaMonkey Council <seamonkey-council@mozilla.org>

%prep
%setup -n mozilla -b 1 -b 9 -q
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
### %patch8
%patch9 -p0
%patch10
%patch11
%patch12
%patch13
#%patch14
%patch15
#%patch16
%patch17 -p2
%patch18
%patch19 -p1
%patch22
%patch27
%patch29
%patch30
# additional CA certificates
cd $RPM_BUILD_DIR/mozilla/security/nss/lib/ckfw/builtins
cat %{SOURCE8} >> certdata.txt
make generate PERL=/usr/bin/perl

%build
export MOZ_BUILD_DATE=%{releasedate}
export MOZILLA_OFFICIAL=1
export BUILD_OFFICIAL=1
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%if %suse_version > 1000
export CFLAGS="$CFLAGS -fstack-protector"
%endif
export CXXFLAGS="$CFLAGS"
./configure --enable-application=suite \
	    --disable-tests \
            --enable-optimize="$CFLAGS" \
            --enable-extensions=default \
            --enable-xinerama --enable-crypto \
            --enable-reorder \
%if %suse_version <= 920
            --enable-strip \
%endif
            --enable-svg \
	    --enable-canvas \
%if %debug
            --enable-debug \
%else
            --disable-debug --disable-dtd-debug \
%endif
            --enable-xft \
%if %suse_version > 920
	    --enable-pango \
%endif
	    --disable-freetype2 \
            --enable-default-toolkit=gtk2 \
            --with-default-mozilla-five-home=%{progdir} \
%if %suse_version > 930
	    --with-system-nspr \
	    --enable-system-cairo \
%endif
%if %suse_version > 1010
	    --with-system-nss \
%endif
            --libdir=%{progdir} \
            --sysconfdir=%{_sysconfdir} \
            --mandir=%{_mandir} \
            --prefix=%{prefix} \
            --with-system-jpeg \
            --with-system-png \
            --with-system-mng \
            --with-system-zlib \
            --enable-ldap-experimental \
	    --disable-installer \
	    --enable-xtf
make %{?jobs:-j%jobs}
#
### enigmail build
%if %build_enigmail
mv $RPM_BUILD_DIR/enigmail $RPM_BUILD_DIR/mozilla/mailnews/extensions/
(cd $RPM_BUILD_DIR/mozilla/mailnews/extensions/enigmail; ./makemake -r; make)
%endif

%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT \
	make install
#
# remove unneeded stuff
rm -rf $RPM_BUILD_ROOT/usr/share/idl/
rm -rf $RPM_BUILD_ROOT/usr/include/seamonkey/
rm -rf $RPM_BUILD_ROOT%{progdir}/pkgconfig/
# movemail installation
#### mkdir -p $RPM_BUILD_ROOT%{progdir}/defaults/isp/US/
#### cp -fL dist/bin/defaults/isp/movemail.rdf \
####        $RPM_BUILD_ROOT%{progdir}/defaults/isp/
#### cp -fL dist/bin/defaults/isp/US/movemail.rdf \
####       $RPM_BUILD_ROOT%{progdir}/defaults/isp/US/
mkdir -p $RPM_BUILD_ROOT%{progdir}/isp/
cp -fL dist/bin/isp/* \
       $RPM_BUILD_ROOT%{progdir}/isp/
#
### create file-lists ###
#
chmod u+x %{SOURCE13}
# mozilla
rm -f %{_builddir}/%{?buildsubdir}/mozilla-mail.list
echo %defattr\(-,root,root\) > %{_builddir}/%{?buildsubdir}/mozilla.list
%{SOURCE13} --package langenus \
   --output-file %{_builddir}/%{?buildsubdir}/mozilla.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
%{SOURCE13} --package regus \
   --output-file %{_builddir}/%{?buildsubdir}/mozilla.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
%{SOURCE13} --package deflenus \
   --output-file %{_builddir}/%{?buildsubdir}/mozilla.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
%{SOURCE13} --package xpcom \
   --output-file %{_builddir}/%{?buildsubdir}/mozilla.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
%{SOURCE13} --package browser \
   --output-file %{_builddir}/%{?buildsubdir}/mozilla.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
%{SOURCE13} --package psm \
   --output-file %{_builddir}/%{?buildsubdir}/mozilla.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
%{SOURCE13} --package reporter \
   --output-file %{_builddir}/%{?buildsubdir}/mozilla.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
%if %suse_version < 1000
%{SOURCE13} --package nspr \
   --output-file %{_builddir}/%{?buildsubdir}/mozilla.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
%endif
%if %suse_version <= 1010
%{SOURCE13} --package nss \
   --output-file %{_builddir}/%{?buildsubdir}/mozilla.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
%endif
# mozilla-mail
rm -f %{_builddir}/%{?buildsubdir}/mozilla-mail.list
echo %defattr\(-,root,root\) > %{_builddir}/%{?buildsubdir}/mozilla-mail.list
%{SOURCE13} --package mail \
   --output-file %{_builddir}/%{?buildsubdir}/mozilla-mail.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
# mozilla-irc
rm -f %{_builddir}/%{?buildsubdir}/mozilla-chat.list
echo %defattr\(-,root,root\) > %{_builddir}/%{?buildsubdir}/mozilla-chat.list
%{SOURCE13} --package chatzilla \
   --output-file %{_builddir}/%{?buildsubdir}/mozilla-chat.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
# mozilla-venkman
rm -f %{_builddir}/%{?buildsubdir}/mozilla-venkman.list
echo %defattr\(-,root,root\) > %{_builddir}/%{?buildsubdir}/mozilla-venkman.list
%{SOURCE13} --package venkman \
   --output-file %{_builddir}/%{?buildsubdir}/mozilla-venkman.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
# mozilla-dom-inspector
rm -f %{_builddir}/%{?buildsubdir}/mozilla-inspector.list
echo %defattr\(-,root,root\) > %{_builddir}/%{?buildsubdir}/mozilla-inspector.list
%{SOURCE13} --package inspector \
   --output-file %{_builddir}/%{?buildsubdir}/mozilla-inspector.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
# mozilla-spellchecker
rm -f %{_builddir}/%{?buildsubdir}/mozilla-spellchecker.list
echo %defattr\(-,root,root\) > %{_builddir}/%{?buildsubdir}/mozilla-spellchecker.list
%{SOURCE13} --package spellcheck \
   --output-file %{_builddir}/%{?buildsubdir}/mozilla-spellchecker.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
# overwrite the mozilla start-script and link it to /usr/bin
mkdir --parents $RPM_BUILD_ROOT/usr/bin
sed "s:%%PREFIX:%{prefix}:g
s:%%PROGDIR:%{progdir}:g
s:%%APPNAME:%{progname}:g
s:%%PROFILE:.mozilla:g" \
   %{SOURCE3} > $RPM_BUILD_ROOT%{progdir}/%{progname}.sh 
chmod 755 $RPM_BUILD_ROOT%{progdir}/%{progname}.sh
ln -sf ../..%{progdir}/%{progname}.sh $RPM_BUILD_ROOT/usr/bin/%{progname}
# apply SUSE defaults
sed -e 's,RPM_VERSION,%{version}-%{release},g
s,GSSAPI,%{libgssapi},g' \
   %{SOURCE4} > suse-default-prefs
cp suse-default-prefs $RPM_BUILD_ROOT/%{progdir}/defaults/pref/all-novell.js
rm suse-default-prefs
# Desktop definition
%if %suse_version > 820
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share/applications
install -m 644 $RPM_BUILD_DIR/*.desktop \
               $RPM_BUILD_ROOT/opt/gnome/share/applications
%else
mkdir -p $RPM_BUILD_ROOT/opt/gnome2/share/applications
install -m 644 $RPM_BUILD_DIR/*.desktop \
               $RPM_BUILD_ROOT/opt/gnome2/share/applications
%endif
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
install -m 644 $RPM_BUILD_DIR/*.png $RPM_BUILD_ROOT/usr/share/pixmaps/
# gtk icons (for gtk2 build)
mkdir -p $RPM_BUILD_ROOT%{progdir}/icons
cp -f $RPM_BUILD_DIR/mozilla/widget/src/gtk/*.xpm $RPM_BUILD_ROOT%{progdir}/icons
# install add-plugins.sh 
sed "s:%%PROGDIR:%{progdir}:g
s:%%APPNAME:%{progname}:g" \
   %{SOURCE2} > $RPM_BUILD_ROOT%{progdir}/add-plugins.sh
chmod 755 $RPM_BUILD_ROOT%{progdir}/add-plugins.sh
##########
# ADDONS
#
sed "s:%%PREFIX:%{prefix}:g
s:%%PROGDIR:%{progdir}:g" \
   %{SOURCE11} > $RPM_BUILD_ROOT%{progdir}/rebuild-databases.sh
chmod 755 $RPM_BUILD_ROOT%{progdir}/rebuild-databases.sh
unzip %{SOURCE5} LEO.* -d $RPM_BUILD_DIR
(cd $RPM_BUILD_ROOT%{progdir}/searchplugins ; tar xjf %{SOURCE6})
cp -f $RPM_BUILD_DIR/LEO* $RPM_BUILD_ROOT%{progdir}/searchplugins
# registry ;-)
pushd $RPM_BUILD_ROOT%{progdir}
LD_LIBRARY_PATH=`pwd`:`pwd`/.. MOZILLA_FIVE_HOME=`pwd` MOZ_DISABLE_GCONF=1 ./regxpcom
LD_LIBRARY_PATH=`pwd`:`pwd`/.. MOZILLA_FIVE_HOME=`pwd` MOZ_DISABLE_GCONF=1 ./regchrome
# workaround for xpti.dat
sed "s:$RPM_BUILD_ROOT::g" components/xpti.dat > components/xpti.dat.new && \
  mv -f components/xpti.dat.new components/xpti.dat
popd
# install enigmail
%if %build_enigmail
cp -f $RPM_BUILD_DIR/mozilla/dist/bin/chrome/enigmail.jar $RPM_BUILD_ROOT%{progdir}/chrome/
cp -f $RPM_BUILD_DIR/mozilla/dist/bin/chrome/enigmail-skin.jar $RPM_BUILD_ROOT%{progdir}/chrome/
cp -f $RPM_BUILD_DIR/mozilla/dist/bin/components/enig* $RPM_BUILD_ROOT%{progdir}/components/
cp -f $RPM_BUILD_DIR/mozilla/dist/bin/components/libenigmime.so $RPM_BUILD_ROOT%{progdir}/components/
cp -f $RPM_BUILD_DIR/mozilla/dist/bin/components/ipc.xpt $RPM_BUILD_ROOT%{progdir}/components/
cp -f $RPM_BUILD_DIR/mozilla/dist/bin/defaults/pref/enigmail.js $RPM_BUILD_ROOT%{progdir}/defaults/pref/
%endif
# install mozex
install -m 0644 %SOURCE14 $RPM_BUILD_ROOT%{progdir}/chrome/
# ghost-files
[ -f $RPM_BUILD_ROOT%{progdir}/components/compreg.dat ] || \
   touch $RPM_BUILD_ROOT%{progdir}/components/compreg.dat
[ -d $RPM_BUILD_ROOT%{progdir}/res/dtd ] || \
   mkdir -p $RPM_BUILD_ROOT%{progdir}/res/dtd
[ -d $RPM_BUILD_ROOT%{progdir}/res/fonts ] || \
   mkdir -p $RPM_BUILD_ROOT%{progdir}/res/fonts
# chrome registry
%if %build_enigmail
cat <<EOF >> $RPM_BUILD_ROOT%{progdir}/chrome/installed-chrome.txt
content,install,url,jar:resource:/chrome/enigmail.jar!/content/enigmail/
locale,install,url,jar:resource:/chrome/enigmail.jar!/locale/en-US/enigmail/
skin,install,url,jar:resource:/chrome/enigmail-skin.jar!/skin/classic/enigmail/
skin,install,url,jar:resource:/chrome/enigmail-skin.jar!/skin/modern/enigmail/
EOF
%endif
echo content,install,url,jar:resource:/chrome/mozex.jar!/content/mozex/ >> $RPM_BUILD_ROOT%{progdir}/chrome/installed-chrome.txt
echo skin,install,select,modern/1.0 >> $RPM_BUILD_ROOT%{progdir}/chrome/installed-chrome.txt
echo locale,install,select,en-US    >> $RPM_BUILD_ROOT%{progdir}/chrome/installed-chrome.txt
mkdir -p $RPM_BUILD_ROOT%{progdir}/installed-chrome.d/locales
cp -f $RPM_BUILD_ROOT%{progdir}/chrome/installed-chrome.txt $RPM_BUILD_ROOT%{progdir}/installed-chrome.d/mozilla
sed '/installed-chrome.txt/d' <%{_builddir}/%{?buildsubdir}/mozilla.list >%{_builddir}/%{?buildsubdir}/mozilla.list~ && mv %{_builddir}/%{?buildsubdir}/mozilla.list~ %{_builddir}/%{?buildsubdir}/mozilla.list
# avoid "file listed twice"
grep -v "searchplugins" %{_builddir}/%{?buildsubdir}/mozilla.list > %{_builddir}/%{?buildsubdir}/mozilla.list~ && mv %{_builddir}/%{?buildsubdir}/mozilla.list~ %{_builddir}/%{?buildsubdir}/mozilla.list
#
touch $RPM_BUILD_ROOT%{progdir}/installed-chrome.d/manual
touch $RPM_BUILD_ROOT%{progdir}/chrome/locale.alias
%if %suse_version > 820
%suse_update_desktop_file seamonkey          Application Network WebBrowser GTK
%suse_update_desktop_file seamonkey-mail     Application Network Email GTK
%suse_update_desktop_file seamonkey-composer Application Network WebDevelopment GTK
%endif
%if %suse_version >= 1000
cat << EOF > %{my_provides}
#! /bin/sh
grep -v ^$RPM_BUILD_ROOT/usr/%{_lib}/seamonkey |
/usr/lib/rpm/find-provides
EOF
cat << EOF > %{my_requires}
#! /bin/sh
/usr/lib/rpm/find-requires |
while read ; do
    if ! test -e $RPM_BUILD_ROOT/usr/%{_lib}/seamonkey/\${REPLY%%%%(*} ; then #)
	echo "\$REPLY"
    fi
done
EOF
chmod 755 %{my_provides} %{my_requires}
%define __find_provides %{my_provides}
%define __find_requires %{my_requires}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%progdir/rebuild-databases.sh
%progdir/add-plugins.sh > /dev/null 2>&1
exit 0

%post mail
%progdir/rebuild-databases.sh
exit 0

%post dom-inspector
%progdir/rebuild-databases.sh
exit 0

%post venkman
%progdir/rebuild-databases.sh
exit 0

%post irc
%progdir/rebuild-databases.sh
exit 0

%post spellchecker
%progdir/rebuild-databases.sh
%progdir/add-plugins.sh > /dev/null 2>&1
exit 0

%postun mail
%progdir/rebuild-databases.sh
exit 0

%postun dom-inspector
%progdir/rebuild-databases.sh
exit 0

%postun venkman
%progdir/rebuild-databases.sh
exit 0

%postun irc
%progdir/rebuild-databases.sh
exit 0

%postun spellchecker
%progdir/rebuild-databases.sh
%progdir/add-plugins.sh > /dev/null 2>&1
exit 0

%preun
if [ "$1" = "0" ]; then # deinstallation
  rm -f %{progdir}/plugins/* %{progdir}/dictionaries/*
  rm -rf %{progdir}/chrome/overlayinfo
  rm -f %{progdir}/chrome/*.rdf
fi
exit 0

%triggerin -- myspell-dictionary
%progdir/add-plugins.sh > /dev/null 2>&1
exit 0

%triggerpostun -- myspell-dictionary
%progdir/add-plugins.sh > /dev/null 2>&1
exit 0

%files -f %{_builddir}/%{?buildsubdir}/mozilla.list
%defattr(-,root,root)
%{progdir}/rebuild-databases.sh
%attr(755,root,root) %{progdir}/rebuild-databases.sh
%attr(755,root,root) %{progdir}/add-plugins.sh
%attr(755,root,root) %{progdir}/%{progname}.sh
%dir %{progdir}/installed-chrome.d
%dir %{progdir}/installed-chrome.d/locales
%dir %{progdir}/res
%dir %{progdir}/res/dtd
%dir %{progdir}/res/html
%dir %{progdir}/res/fonts
%if !%milestone
%dir %{progdir}/res/samples
%dir %{progdir}/res/samples/sampleimages
%endif
%dir %{progdir}/res/entityTables
%{progdir}/searchplugins
%{progdir}/icons
%{progdir}/isp/
%dir %{progdir}/components
%dir %{progdir}/chrome
%{progdir}/chrome/mozex.jar
%dir %{progdir}/chrome/icons
%dir %{progdir}/chrome/icons/default
%dir %{progdir}/defaults
%dir %{progdir}/defaults/pref
%{progdir}/defaults/pref/all-novell.js
%dir %{progdir}/defaults/autoconfig
%dir %{progdir}/defaults/wallet
%dir %{progdir}/defaults/messenger
%dir %{progdir}/defaults/messenger/US
%dir %{progdir}/defaults/profile
%dir %{progdir}/defaults/profile/US
#### %dir %{progdir}/defaults/isp/
#### %dir %{progdir}/defaults/isp/US/
%dir %{progdir}/greprefs
%dir %{progdir}/plugins
%dir %{progdir}/init.d/
%dir %{progdir}/
%doc %{_mandir}/man1/%{progname}.1.gz
%verify (not md5 mtime size) %{progdir}/components/xpti.dat
%verify (not md5 mtime size) %{progdir}/components/compreg.dat
/usr/bin/%{progname}
%if %suse_version > 820
/opt/gnome/share/applications/seamonkey.desktop
/opt/gnome/share/applications/seamonkey-composer.desktop
%else
/opt/gnome2/share/applications/*.desktop
%endif
/usr/share/pixmaps/%{progname}-orig.png
/usr/share/pixmaps/%{progname}.png
/usr/share/pixmaps/%{progname}-composer.png
%{progdir}/installed-chrome.d/mozilla
%verify (not md5 mtime size) %{progdir}/installed-chrome.d/manual
%ghost %{progdir}/chrome/installed-chrome.txt
%ghost %verify (not md5 mtime size) %{progdir}/chrome/locale.alias

%files mail -f %{_builddir}/%{?buildsubdir}/mozilla-mail.list
%defattr(-,root,root)
%if %suse_version > 820
/opt/gnome/share/applications/seamonkey-mail.desktop
%endif
/usr/share/pixmaps/%{progname}-mail.png
# enigmail
%if %build_enigmail
%{progdir}/chrome/enigmail.jar
%{progdir}/chrome/enigmail-skin.jar
%{progdir}/components/enigmail.xpt
%{progdir}/components/enigmail.js
%{progdir}/components/enigprefs-service.js
%{progdir}/components/libenigmime.so
%{progdir}/components/enigmime.xpt
%{progdir}/components/ipc.xpt
%{progdir}/defaults/pref/enigmail.js
%endif

%files irc -f %{_builddir}/%{?buildsubdir}/mozilla-chat.list
%defattr(-,root,root)

%files venkman -f %{_builddir}/%{?buildsubdir}/mozilla-venkman.list
%defattr(-,root,root)

%files dom-inspector -f %{_builddir}/%{?buildsubdir}/mozilla-inspector.list
%defattr(-,root,root)

%files spellchecker -f %{_builddir}/%{?buildsubdir}/mozilla-spellchecker.list
%defattr(-,root,root)
%dir %{progdir}/dictionaries

%changelog
* Wed Nov 19 2008 - maw@suse.de
- Update to security release 1.1.13 (bnc#439841); for details see
  http://www.mozilla.org/security/known-vulnerabilities/seamonkey11.html.
* Tue Sep 30 2008 - maw@suse.de
- Security update to version 1.1.12:
  + MFSA 2008-46/CVE-2008-4070: Heap overflow when canceling
  newsgroup message
  + MFSA 2008-45/CVE-2008-4069: XBM image uninitialized memory
  reading
  + MFSA 2008-44/CVE-2008-4067 and CVE-2008-4068: resource:
  traversal vulnerabilities
  + MFSA 2008-43/CVE-2008-4065 and CVE-2008-4066: BOM characters
  stripped from JavaScript before execution
  + MFSA 2008-42/CVE-2008-4061, CVE-2008-4062, CVE-2008-4063,
  and CVE-2008-4064: Crashes with evidence of memory corruption
  (rv:1.9.0.2/1.8.1.17)
  + MFSA 2008-41/CVE-2008-4058, CVE-2008-4059, and CVE-2008-4060:
  Privilege escalation via XPCnativeWrapper pollution
  + MFSA 2008-40/CVE-2008-3837: Forced mouse drag
  + MFSA 2008-38/CVE-2008-3835: nsXMLDocument::OnChannelRedirect()
  same-origin violation
  + MFSA 2008-37/CVE-2008-0016: UTF-8 URL stack buffer overflow.
* Wed Sep 17 2008 - mauro@suse.de
- Update to Seamonkey 1.1.11 [bnc#407573, bnc#416147]
  for details:
  http://www.mozilla.org/security/known-vulnerabilities/seamonkey11.html
- update enigmail to 0.95.7
* Wed Apr 02 2008 - maw@suse.de
- Security update to version 1.1.9 (bnc#370353):
  + MFSA 2008-19/CVE-2008-1241:  XUL popup spoofing variant
  (cross-tab popups)
  + MFSA 2008-18/CVE-2008-1195 and CVE-2008-1240: Java socket
  connection to any local port via LiveConnect
  + MFSA 2008-17/CVE-2007-4879: Privacy issue with SSL Client
  Authentication
  + MFSA 2008-16/CVE-2008-1238: HTTP Referrer spoofing with
  malformed URLs
  + MFSA 2008-15/CVE-2008-1236 and CVE-2008-1237: Crashes with
  evidence of memory corruption (rv:1.8.1.13)
  + MFSA 2008-14/CVE-2008-1233, CVE-2008-1234, and CVE-2008-1235:
  JavaScript privilege escalation and arbitrary code execution
- Respin abuild.patch.
* Mon Feb 11 2008 - maw@suse.de
- Security update to version 1.1.8 (bnc#354469) (thanks, Wolfgang)
  + MFSA 2008-10/CVE-2008-0593  URL token stealing via stylesheet
  redirect
  + MFSA 2008-09/CVE-2008-0592 Mishandling of locally-saved plain
  text files
  + MFSA 2008-06/CVE-2008-0419 Web browsing history and forward
  navigation stealing
  + MFSA 2008-05/CVE-2008-0418 Directory traversal via chrome:
  URI
  + MFSA 2008-03/CVE-2008-0415 Privilege escalation, XSS, Remote
  Code Execution
  + MFSA 2008-02/CVE-2008-0414 Multiple file input focus stealing
  vulnerabilities
  + MFSA 2008-01/CVE-2008-0412 Crashes with evidence of memory
  corruption (rv:1.8.1.12)
- Update enigmail to version 0.95.6.
* Thu Dec 06 2007 - maw@suse.de
- Security update to version 1.1.7 (#341591) (thanks, Wolfgang)
  * MFSA 2007-37  jar: URI scheme XSS hazard
  * MFSA 2007-38  Memory corruption vulnerabilities (rv:1.8.1.10)
  * MFSA 2007-39  Referer-spoofing via window.location race condition
- The 1.1.7 release also fixes several regressions introduced
  in 1.1.5
- Update enigmail to version 0.95.5
- Add mozilla-gcc4.3-fixes.patch.
* Fri Oct 19 2007 - maw@suse.de
- security update to version 1.1.5 (#332512) (thanks, Wolfgang)
  * MFSA 2007-29 Crashes with evidence of memory corruption
  * MFSA 2007-30 onUnload Tailgating
  * MFSA 2007-31 Digest authentication request splitting
  * MFSA 2007-32 File input focus stealing vulnerability
  * MFSA 2007-33 XUL pages can hide the window titlebar
  * MFSA 2007-34 Possible file stealing through sftp protocol
  * MFSA 2007-35 XPCNativeWraper pollution using Script object
  complete advisories on
  http://www.mozilla.org/projects/security/known-vulnerabilities.html
* Wed Jul 25 2007 - maw@suse.de
- Security update to version 1.1.3 (#288115), which addresses the
  following:
  MFSA 2007-18
  CVE-2007-3734 - Browser flaws
  CVE-2007-3735 - Javascript flaws
  MFSA 2007-19
  CVE-2007-3736
  MFSA 2007-20
  CVE-2007-3089
  MFSA 2007-21
  CVE-2007-3737
  MFSA 2007-22
  CVE-2007-3285
  MFSA 2007-23
  CVE-2007-3670
  MFSA 2007-24
  CVE-2007-3656
  MFSA 2007-25
  CVE-2007-3738
- Update to enigmail version 0.95.2.
* Tue Jun 05 2007 - maw@suse.de
- Security update to version 1.1.2 (#271197).
* Thu Mar 01 2007 - meissner@suse.de
- Upgraded to seamonkey security fix version 1.1.1. #244923
- Upgraded enigmail to security fix version 0.9.42.
* Thu Nov 16 2006 - mkoenig@suse.de
- update to CVS version 20061107 from buildservice [#221676]
* Wed Nov 15 2006 - sbrabec@suse.cz
- Fixed Requires/Provides correctly (#216100#c14).
* Fri Nov 03 2006 - sbrabec@suse.cz
- Do not provide and require internal libraries (#216100).
- Use safer place for build-temporary files.
* Sat Oct 21 2006 - aj@suse.de
- from openSUSE Buildservice (thanks Wolfgang Rosenauer):
  * update to SeaMonkey 1.1a-20060907
  * update enigmail to 0.94.1:  Added support for signing
  attachments with inline-PGP
* Tue Sep 12 2006 - stark@suse.de
- update to security/stability release 1.0.5
- removed libaoss usage because it's too fragile
* Sun Aug 06 2006 - stark@suse.de
- update enigmail to 0.94.1
  * Added support for signing attachments with inline-PGP
* Sun Aug 06 2006 - aj@suse.de
- Fix build (remove wrong extern "C").
* Sat Jul 29 2006 - stark@suse.de
- update to 1.0.4 fixing a major regression in 1.0.3 (#195402)
* Thu Jul 27 2006 - stark@suse.de
- update to security release 1.0.3 (#195043)
- fix overwrite confirmation for GTK filesaver (#179531)
- fixed printing crash if the last used printer is not available
  anymore (#187013)
* Fri Jun 02 2006 - stark@suse.de
- update to security/stability release 1.0.2 (#179011)
  (http://www.mozilla.org/projects/security/known-vulnerabilities.html#SeaMonkey)
* Sun May 14 2006 - stark@suse.de
- update to version 1.0.1+
- save printer settings properly (#174082, bmo #324072)
* Tue Apr 25 2006 - stark@suse.de
- added patch for iframe crash (#169039, bmo #334515)
- improved postscript output (bmo #334485)
- changed defaults for printer properties (#6534)
- get available paper sizes from CUPS (#65482)
- fixed memory leak in clipboard caching (bmo #289897)
* Thu Mar 16 2006 - stark@suse.de
- added seamonkey icon to filelist and use it for mail and composer
  component as well for now (#158556)
- also provide the old mozilla packagenames for correct upgrade
* Tue Mar 14 2006 - stark@suse.de
- added Khmer (km-*) to pango locales (#157397)
- yet another set of upstream fixes (#148876)
* Sat Mar 04 2006 - stark@suse.de
- fixed plugin inclusion if started from Thunderbird (#151614)
- fixed crash with multipart JPEGs (bmo #328684) (#140416)
- implemented mail alert notification (bmo #327613)
- get latest security related fixes from upstream (#148876)
- show multiple Reply-To addresses (bmo #106189)
* Fri Feb 24 2006 - stark@suse.de
- dumpstack.patch is now in upstream patches
- added GTK category to desktop-files
- get more security/stability patches (#148876)
* Thu Feb 16 2006 - stark@suse.de
- applied set of security patches (#148876)
  fixed bmo bugs:
  282105, 307989, 310638, 315411, 315625, 320459, 320851,
  323634, 325005, 325403, 325947, 327126
- added GenericNames in desktop-files
- use new SeaMonkey logo for browser component in menus
* Tue Feb 07 2006 - stark@suse.de
- fixed disabling of Pango (#148788)
* Thu Feb 02 2006 - stark@suse.de
- removed heimdal patch for older distributions
- define gssapi lib explicitely (#147670)
* Mon Jan 30 2006 - stark@suse.de
- merged (hopefully) last patch before final seamonkey 1.0 release
* Fri Jan 27 2006 - stark@suse.de
- final 1.0 bits
- tweaked BuildRequires
- default to GTK2 filechooser if MOZ_XUL_PICKER is not set
  (same behaviour as Firefox)
- fixed system NSS usage
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - stark@suse.de
- disable Pango if MOZ_ENABLE_PANGO is not set
  and no typical language which needs Pango is used (#143428)
- preload libaoss for plugin sound (#117079)
- fix to ignore X composite extension (#135373)
- fix subfolder check for default account at startup (bmo #323980)
* Wed Jan 18 2006 - stark@suse.de
- fixed DumpStackToFile for glibc 2.4
* Mon Jan 16 2006 - stark@suse.de
- update to current 1.0 snapshot (20060115)
- update enigmail to 0.94.0
- use -fstack-protector where available
- use system NSS since CODE10
* Wed Dec 28 2005 - stark@suse.de
- update to snapshot 1.8-20051227 (1.0b)
* Mon Dec 12 2005 - stark@suse.de
- update to snapshot 1.8-20051211
- use plugins in /usr/lib/browser-plugins
- update enigmail to 0.93.2
- added gtk2 patch to avoid theme switch events (#134831)
- replace mozilla packages with seamonkey for 10.1 and above
* Mon Oct 24 2005 - stark@suse.de
- update to snapshot 1.8-20051024
- update enigmail to 0.93.0
- package renamed to seamonkey with new versioning
- moved to /usr/lib
* Tue Dec 28 2004 - stark@suse.de
- removed obsolete translations from desktop-file
  (will be automatically added from macro)
- update to 1.7.5 (20041220)
- update enigmail to 0.89.6
- update ipc to 1.1.2
- removed s390/s390x patch (included upstream)
- add compiler option to enable backchain for s390/s390x
  inline assembling
- fixed extra lines in mail replies (bmo #144998)
- removed bounce patch (available as extension
  mailredirect.mozdev.org)
- added gconf setting patch to get more gconf settings if
  "use system settings" is used
- removed cross dependencies on release level
* Tue Nov 23 2004 - ro@suse.de
- fix build on 8.2
* Thu Nov 18 2004 - ro@suse.de
- use kerberos-devel-packages
* Wed Oct 13 2004 - uli@suse.de
- fixed ABI (s390*) and defines (s390x) thinkos, now actually works
  on these platforms
* Wed Sep 29 2004 - stark@suse.de
- fixed path to RealPlayer plugin
* Tue Sep 28 2004 - stark@suse.de
- another change to fix initial localization
  (thanks to mfabian)
* Sat Sep 25 2004 - stark@suse.de
- add ContentLocale parameter for initial localization (#44956)
- added patch for crasher in IMAP code (mozilla.org #257079)
- "no-cache" header was ignored for non-SSL sites
  (mozilla.org #252023)
- added fixed version for mozilla.org bug #257308
- fix in download handling (mozilla.org #259890)
- fix for Ximian #65176 (mozilla.org #240068)
* Fri Sep 24 2004 - stark@suse.de
- enabled logging for non-debug builds to be able to get some
  logfiles for debugging
* Fri Sep 17 2004 - stark@suse.de
- fixed broken patch-file
* Fri Sep 17 2004 - stark@suse.de
- added security fix for mozilla bug #258005
- trigger for java-1_4_2-sun-plugin (#45257)
* Wed Sep 15 2004 - ro@suse.de
- use version number directly
* Wed Sep 15 2004 - sbrabec@suse.cz
- Adopted mozilla.spec, so the same spec file can build also nvu.
* Fri Sep 10 2004 - stark@suse.de
- added some security related and crasher fixes:
  * Visual indicators of site security appear for the wrong site
  (mozilla.org #257308)
  * mailnews crasher (mozilla.org #258386)
  * fix arrow keys behaviour for GTK2 list boxes
  (mozilla.org #219706)
  * URL bar should not display passwords in URL
  (mozilla.org #157354)
- fix enigmail configuration (#44971)
* Thu Sep 09 2004 - stark@suse.de
- added patch for AMD64 endianess in JS component
  (#34743)
* Mon Sep 06 2004 - stark@suse.de
- added parts of the 1.7 branch
  (including CUPS integration)
* Fri Sep 03 2004 - stark@suse.de
- update enigmail to 0.86.0
- reworked start-script to invoke mozilla start/stop scripts
* Mon Aug 23 2004 - ro@suse.de
- make sure we can call mozilla-make-package.pl
  (do not rely on any permissions in RPM_SOURCE_DIR)
* Thu Aug 19 2004 - sbrabec@suse.cz
- README.installed-chrome: Added a sentence about scriptlet PreReq
  (#43990).
* Thu Aug 12 2004 - stark@suse.de
- added patch for ppc64 build
* Thu Aug 05 2004 - stark@suse.de
- update to 1.7.2 with security fixes
- update enigmail to 0.85.0
- handle RealPlayer 9 plugin
- added calendar-fix init script to package
- fixed file-list (packages-unix) and kprinter config for Desktop
- disabled SVG for distributions older than 8.2
- modified bounce patch to not disturb language-packs
* Thu Aug 05 2004 - ro@suse.de
- recode desktop file to utf-8
* Fri Jun 18 2004 - stark@suse.de
- update to 1.7
- update enigmail to 0.84.1
- remove compreg.dat prior to rebuild-databases (#41481)
- no longer disable-xprint
- build with heimdal
  (Support for Kerberos HTTP authentication using GSSAPI)
* Fri Jun 18 2004 - ro@suse.de
- added patch from garnome list to build with current freetype
* Thu May 06 2004 - stark@suse.de
- added patch to avoid compile-warnings
* Wed May 05 2004 - stark@suse.de
- update to 1.7rc1 (20040505)
- added patch to be able to bounce mail-messages
- update enigmail to 0.83.6
- added focus fix for gtkembedmoz
- changed behaviour of nullplugin
- removed x86-64 patch as it is now included upstream
- added new function in start script to start localized
  according to the environment if correct language pack is
  installed (for new profiles)
* Fri Apr 02 2004 - stark@suse.de
- removing relocation of TEMP directory (#34391)
* Thu Mar 25 2004 - stark@suse.de
- install more needed files (#36085)
* Tue Mar 23 2004 - uli@suse.de
- fixed hang during build on s390* (bug #35440)
* Mon Mar 15 2004 - stark@suse.de
- use xft.js only for gtk1 builds (not default)
- removed obsolete stuff from package
- install menu-icons and use them (#35992)
- install some more files (#36085)
- renewed bookmark-changes
* Tue Mar 09 2004 - stark@suse.de
- patch for keeping ui fonts (#35236)
* Sun Mar 07 2004 - ro@suse.de
- match function declaration in enigmail mimedummy.cpp
* Wed Mar 03 2004 - stark@suse.de
- fixed enigmail file-list (#35302)
- update enigmail to 0.83.4
* Mon Mar 01 2004 - stark@suse.de
- improved xremote behaviour in relation to other mozilla products
  (firefox, thunderbird) (#35179)
* Tue Feb 24 2004 - stark@suse.de
- fixed inclusion of mozex extension
- added compiler flags for security/ (nss-opt.patch)
- update enigmail to 0.83.3
* Fri Feb 20 2004 - stark@suse.de
- added build-fix for s390x (#32963)
- added mozex 1.07 to the package
* Wed Feb 04 2004 - stark@suse.de
- fixed calendar filelist
- enabled freetype for xft builds to improve printing
* Wed Jan 28 2004 - stark@suse.de
- update to enigmail 0.83.1
- fixed enigmail inclusion and activated it again
* Mon Jan 19 2004 - stark@suse.de
- update to 1.6 (20040114)
- set PS printer list in mozilla.sh
- update to enigmail 0.83.0
  (deactivated for now until a chrome issue is fixed)
- added mozilla-bonobo to plugin-handling
- use lib64 again for biarch platforms
- use kprinter and xft on SLEC (only for specfile-sharing)
- added fixed desktop files
* Mon Nov 03 2003 - stark@suse.de
- apply mips build-fix
* Wed Oct 22 2003 - stark@suse.de
- require myspell-dictionary only since 9.0
* Wed Oct 15 2003 - stark@suse.de
- update to 1.5 (final)
* Mon Sep 29 2003 - stark@suse.de
- update to Mozilla 1.5rc2
- added patch to enable freetype2 printing in xft builds
- removed overlay-files from filelist (delete them in preun)
* Wed Sep 24 2003 - stark@suse.de
- added mozplugger to add-plugins.sh
- added patch to expunge IMAP folders if "remove immediately"
  delete model is used
- update to 1.4.1
- update enigmail to 0.76.7
* Tue Sep 23 2003 - sbrabec@suse.cz
- Changed plugger->mozplugger (part of bug #31616).
* Thu Sep 18 2003 - coolo@suse.de
- make mozilla open URLs not files
* Tue Sep 16 2003 - stark@suse.de
- adopted RealPlayer inclusion for new path (#30990)
* Sun Sep 07 2003 - adrian@suse.de
- mozilla supports text/html MimeType
* Thu Sep 04 2003 - adrian@suse.de
- remove wrong start path in desktop file
* Mon Sep 01 2003 - adrian@suse.de
- install also desktop files for mail and composer
- make Mozilla start path FHS compliant
* Mon Aug 25 2003 - hhetter@suse.de
- revert from patch mentioned at Mozilla.org Bug #58613
  to get epiphany and galeon to build
* Fri Aug 22 2003 - stark@suse.de
- another upstream sync
* Fri Aug 15 2003 - stark@suse.de
- again more CVS patches from mozilla.org
* Sun Aug 10 2003 - stark@suse.de
- updated enigmail to 0.76.5
* Fri Aug 08 2003 - stark@suse.de
- again more CVS patches from mozilla.org
- adapted x86-64 patch for 1.4
- clean up configure options
- use -fno-strict-aliasing (#28534)
* Thu Jul 31 2003 - stark@suse.de
- integrated more patches from mozilla.org
- fixed deinstallation of dict-links
- removed unneeded files from filelist (for milestone builds)
- removed update-desktop-files again because it's in
  gtk2-devel-packages
* Wed Jul 30 2003 - stark@suse.de
- add-plugins.sh now links myspell-dictionaries for spellchecker
  (#26290)
- added some bugfixes from mozilla.org
- added update-desktop-files to neededforbuild
* Tue Jul 29 2003 - stark@suse.de
- added make-definition for build with Linux 2.6.x
* Mon Jul 28 2003 - adrian@suse.de
- add Categories to desktop file
- TODO: create .desktop files for other Mozilla modules
* Wed Jul 23 2003 - stark@suse.de
- check if DISPLAY set correctly (#28098)
- set $TEMP to $HOME for acroread (#27929)
- workaround the BUILD_ROOT issue in xpti.dat
- update enigmail to 0.76.3
* Tue Jul 15 2003 - stark@suse.de
- fix update from Mozilla 1.0.1 to 1.4
- update enigmail to 0.76.2
- added ICP-Brasil CA (#25840)
- added some minor patches from mozilla.org
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jul 02 2003 - schwab@suse.de
- mozilla.sh: fix quoting, teach about emacsclient.
* Tue Jul 01 2003 - stark@suse.de
- update to 1.4 final
* Wed Jun 25 2003 - stark@suse.de
- fix AMD64 patch to fit mozilla version
* Thu Jun 19 2003 - stark@suse.de
- update to 1.4rc3 (20030619)
- added DFN CA certificate
- update enigmail to 0.76.1
- added assembler patch, IA64 should be usable now
* Sat Jun 14 2003 - stark@suse.de
- update to 1.4rc2 (20030613)
- fixed minor bug in update handling in %%preun
- added missing directories to the filelist
- deactivated check for unpackaged files
* Wed Jun 11 2003 - stark@suse.de
- update to 1.4rc1 (20030610)
- switch to GTK2 build for STABLE
- update enigmail to 0.76.0
* Wed May 28 2003 - stark@suse.de
- update to 1.4b (20030526)
- added spellchecker subpackage (based on myspell)
* Sat May 10 2003 - stark@suse.de
- modified x86-64 patch to fit 1.4b
* Thu May 08 2003 - stark@suse.de
- updated to 1.4b (20030507)
- updated enigmail and ipc sources for 1.4
- adopt James Ogley's changes for gtk2 build
  - install pkgconfig stuff
  - include icons
  - desktop file in GNOME2 place
  - Provides: mozilla-gtk2 for building Galeon/Epiphany
- added /etc/gre.conf
- modified startscript to manipulate default open behaviour
  of URLs provided on commandline ($MOZ_NEWURL)
- some spec-file modifications for slow migration to
  Firebird
* Thu Apr 03 2003 - stark@suse.de
- updated enigmail to 0.74.0
- fixed minor bug in spec-file (only hit old SL versions)
* Mon Mar 31 2003 - stark@suse.de
- moved mozilla-config to /opt/mozilla/bin
- some rudimentary language autodetection
- reactivated XFT for 8.2
- make GTK2 optional for 8.2 and higher (disabled xmlterm)
- fixed bug in rebuild-databases.sh
* Mon Mar 24 2003 - stark@suse.de
- handle old plugins on update from versions before 1.3
- splitted calendar off from mozilla
- added XFT patches but disabled XFT for SuSE Linux 8.2 at this
  time
- added mozilla-config to devel package
* Fri Mar 14 2003 - stark@suse.de
- update to 1.3
- redirect error about missing file in rebuild-databases.sh
- update enigmail to 0.73.1
- added LEO searchplugin for dict.leo.org
- changed directory-structure to be more mozilla.org compatible
- removed s390 fix because changes are already in sources
- use XFT2 instead of freetype2 on SL8.2 and higher
- made add-plugins.sh compatible with older SL versions again
- enabled SVG support (including libart_lgpl)
- enabled calendar
- removed special splash because of copyright issues
* Thu Mar 13 2003 - stark@suse.de
- avoid creation of java link if Blackdown isn't installed
  but another Java is found (but not usable because of gcc)
  [Bug #25278]
* Wed Mar 12 2003 - stark@suse.de
- added new BlackdownJava2-JRE to RPM triggers
* Mon Mar 03 2003 - kukuk@suse.de
- Fix calling mozilla with options [Bug #24539]
* Fri Feb 28 2003 - ro@suse.de
- fixed add-plugins.sh for flash-player
* Mon Feb 24 2003 - ro@suse.de
- added tclplug and djvulibre
* Mon Feb 24 2003 - ro@suse.de
- add-plugins: use /usr/%%_lib/browser-plugins
- flash plugin moved from netscape-plugins to flash-player
* Tue Feb 18 2003 - stark@suse.de
- reworked add-plugins.sh for newer Java versions
- moved libnssckbi.so to MOZILLA_FIVE_HOME (#22548)
- %%preun bugfix
* Fri Jan 17 2003 - sbrabec@suse.cz
- Added README.installed-chrome to source package.
* Wed Jan 15 2003 - pmladek@suse.cz
- updated the x86_64.patch from Gwenole Beauchesne
* Thu Dec 05 2002 - stark@suse.de
- update to 1.2.1
- update Enigmail to 0.71.0
- removed SuSEconfig.mozilla
  now use add-plugins.sh together with %%trigger statements
- use new chrome-management scheme
- don't add java plugin if built with gcc 3.x
- bugfix for using mozilla-xremote-client
* Wed Nov 27 2002 - stark@suse.de
- update to 1.2
- moved rebuild-databases to RPM scripts (only plugins are
  left in SuSEconfig.mozilla)
- added addon-chrome functionality to rebuild-databases.sh
- readded Enigmail source for 1.2
- reworked start-script for opening html-files (#16186)
* Thu Nov 21 2002 - sbrabec@suse.cz
- Added support for separate chrome (language) packs (bug #20700):
  updated rebuild-databases.sh and created and filled
  /opt/mozilla/installed-chrome.d.
* Wed Nov 06 2002 - stepan@suse.de
- fix mozilla on s390 and s390x
* Thu Oct 24 2002 - stepan@suse.de
- fix compilation on axp
* Fri Oct 18 2002 - stark@suse.de
- fixed error-messages during startup (#19556)
* Thu Oct 17 2002 - mfabian@suse.de
- Bug #20972: fix printing for Korean and Chinese by setting
  suitable default PostScript fonts
* Tue Oct 08 2002 - sbrabec@suse.cz
- Added support for Plugger in SuSEconfig.mozilla. Closes #20677.
* Fri Sep 20 2002 - stark@suse.de
- fixed documentation bugs #19811 and #19812
* Thu Sep 12 2002 - stark@suse.de
- include compat_wrapper.dif only on gcc 3.x based distributions
* Wed Sep 11 2002 - sbrabec@suse.cz
- Corrected %%ifarch ix86 to %%ifarch %%ix86, otherwise compat_wrapper.dif
  is ignored.
* Sat Sep 07 2002 - olh@suse.de
- add gcc3 helper code for ppc32.
  Linux/PPC g++-3 ABI support for XPCOM
* Wed Sep 04 2002 - stark@suse.de
- update to 1.0.1 (20020903)
- added compat-wrapper for Flash on ix86
- removed Flash-player (use Flash from netscape-plugins)
- added Enigmail to mozilla-mail
- added patch for using an external editor for textareas and
  composer windows
* Sat Aug 24 2002 - ro@suse.de
- fixed ix86 to correct %%ix86
* Thu Aug 22 2002 - stark@suse.de
- changed %%ifarch i386 to ix86 for Flash
* Wed Aug 21 2002 - stark@suse.de
- fixed mozilla-copy-package.sh to fit the new parameter
  behaviour of cp
* Thu Aug 15 2002 - uli@suse.de
- added x86-64 port by Gwenole Beauchesne
* Tue Aug 06 2002 - stark@suse.de
- apply s390 patch only on s390
* Mon Aug 05 2002 - stark@suse.de
- added  patch to compile on s390(x)
* Sun Jun 09 2002 - stark@suse.de
- added japanese and german language pack
* Wed Jun 05 2002 - stark@suse.de
- update to 1.0
- moved libs to /opt/mozilla/{lib,lib64}
* Wed Jun 05 2002 - sf@suse.de
- apply x86_64-patch only on x86_64, as it breaks ix86
* Wed Jun 05 2002 - sf@suse.de
- added patch to build on x86_64 (does not really work yet,
  but needed for other packages)
* Tue May 28 2002 - stark@suse.de
- readded de-AT languagepack
- moved nss headers to include/nss
* Mon May 27 2002 - stark@suse.de
- added nss3 devel files
* Fri May 24 2002 - stark@suse.de
- update to 1.0rc3
* Tue May 21 2002 - stark@suse.de
- added new wrapper script
- build with -Os for gcc3
- added dom-inspector subpackage
- removed redundant ia64 patch
* Tue May 14 2002 - schwab@suse.de
- Configure only plugins that match mozilla arch.
- Fix some C++ issues.
* Sun May 12 2002 - schwab@suse.de
- Add binary only plugins only on supported architectures.
* Sat May 11 2002 - stark@suse.de
- update to 1.0rc2
* Sat May 04 2002 - stark@suse.de
- update to codebase 20020503 because of security-reasons
  (XMLHTTPRequest redirect bug)
* Fri Apr 26 2002 - stark@suse.de
- readded ja-JP and de-AT language packs and mozgest 0.3.3
- removed Requires: jre1.3.x
- update to codebase 20020425
- deactivated buggy mozgest for now
* Thu Apr 18 2002 - stark@suse.de
- update to 1.0RC1
- update flash to 5.0r48
* Wed Apr 10 2002 - stark@suse.de
- readded ja-JP language pack
* Mon Mar 18 2002 - stark@suse.de
- readded de-AT language pack
* Thu Mar 14 2002 - stark@suse.de
- update to milestone 0.9.9
- enabled freetype2 support
* Mon Feb 11 2002 - stark@suse.de
- readded ja-JP language/region pack
* Fri Feb 08 2002 - stepan@suse.de
- fixed building with gcc 3.x on ppc and alpha
- adopting assembler macros to ABI changes
* Fri Feb 08 2002 - stark@suse.de
- added de-AT language/region pack
- added patch to remove debug menu from preferences
- bzip2 flash-sources
* Tue Feb 05 2002 - stark@suse.de
- update to milestone 0.9.8
  (as always without language-packs)
- update mozgest to compatible 0.3.2
* Tue Feb 05 2002 - stark@suse.de
- minor changes of the configure parameters
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 31 2002 - hhetter@suse.de
- added gdkxft-mozilla patch for TT Font Rendering
* Thu Jan 17 2002 - uli@suse.de
- removed /opt/mozilla/chrome/overlayinfo from filelist for ARM
* Wed Jan 02 2002 - stark@suse.de
- added de-AT language pack for 0.9.7
* Sun Dec 30 2001 - stark@suse.de
- added patch to handle empty file upload forms
  (#116210 bugzilla.mozilla.org)
* Mon Dec 24 2001 - stark@suse.de
- update to 0.9.7
  (deactivated JP and DE language packs as they are not
  available yet)
* Wed Dec 05 2001 - stark@suse.de
- changed cp options again to fix devel-package for version > 7.0
* Sat Dec 01 2001 - stark@suse.de
- added de-AT language pack for 0.9.6
- removed option -L of cp commands (for compatibility with 7.0)
* Mon Nov 26 2001 - stark@suse.de
- made SuSEconfig.mozilla compatible with 7.3 again
- deactivated de-AT language pack (doesn't work for 0.9.6 :-()
* Sat Nov 24 2001 - stark@suse.de
- changed SuSEconfig.mozilla to fit next SuSE-release (Java)
* Sat Nov 24 2001 - stark@suse.de
- reactivated de-AT language pack for 0.9.5 (hopefully works)
* Fri Nov 23 2001 - stark@suse.de
- update to 0.9.6
- update mozgest to 0.3.1
* Wed Nov 14 2001 - stark@suse.de
- minor (cosmetic) change in SuSEconfig.mozilla
- readded Flash-Plugins to %%files
* Mon Nov 12 2001 - stark@suse.de
- added Provides for new subpackages (split-aliases)
- reworked SuSEconfig.mozilla (for subpackages)
* Thu Nov 08 2001 - stark@suse.de
- readded build-id with SuSE extension
- added file to devel-package
* Wed Nov 07 2001 - stark@suse.de
- added bookmark.diff
- removed build-id from title
* Wed Nov 07 2001 - stark@suse.de
- added some devel files
* Tue Nov 06 2001 - stark@suse.de
- rewritten %%install section to use mozilla packaging functions
- split package into sub-packages
* Mon Nov 05 2001 - stark@suse.de
- updated optimoz to RC0.3
* Wed Oct 24 2001 - stark@suse.de
- finally integrated optimoz (disabled and hidden by default)
- install only jar-archives in chrome
- added /opt/mozilla/rebuild-databases.sh
* Wed Oct 24 2001 - hhetter@suse.de
- include idl files in devel-package
* Tue Oct 23 2001 - stark@suse.de
- made SuSEconfig integrate RealPlayer- and Acrobat-Plugin
- requires now jre1.3.x
- added release_date (Gecko)
- moved some files to mode 644
- added patch to disable debug-menu in Composer
- set mailnews-startpage to about:blank
- set very-first startup-page to about:blank
* Mon Oct 22 2001 - mfabian@suse.de
- install Japanese Google-searchplugin under the name
  'google-japan.gif' and 'google-japan.src' in order not to
  overwrite the English original 'google.gif' and 'google.src'.
* Sat Oct 20 2001 - mfabian@suse.de
- update Japanese language pack to mozilla0.9.5-jajppack-v1.0.xpi
* Tue Oct 16 2001 - stark@suse.de
- update to 0.9.5
- added de_AT language pack
- make SuSEconfig integrate java from package java2
- added Macromedia Flashplayer/Shockwave
- added Optimoz 0.2.6 (partially, not active yet)
* Fri Sep 21 2001 - egger@suse.de
- Add libcms and libmng-devel to neededforbuild as suggested
  by Werner Fink.
* Fri Sep 21 2001 - egger@suse.de
- Redid my former patch to disable Debug menus and default
  to SuSE homepage.
* Fri Sep 21 2001 - mfabian@suse.de
- update Japanese language pack to mozilla0.9.4-langjajp-RC1.xpi
  and mozilla0.9.4-regjp-RC1.xpi
* Thu Sep 20 2001 - draht@suse.de
- merging with BETA-tree from egger@suse.de: upgrade to 0.9.4
* Sat Sep 15 2001 - egger@suse.de
- diff: Removed Debug menus.
- diff: Added sensible default values and default to SuSE homepage.
* Tue Sep 11 2001 - egger@suse.de
- Somehow some non-0.9.3 sources were in the previous tarball.
  Replaced them by the real ones.
* Mon Aug 13 2001 - mfabian@suse.de
- added mozilla-cjk-config.patch again.
  (setup of PostScript fonts for printing Chinese, Japanese and
  Korean, default fonts for Chinese, Japanese and Korean).
* Thu Aug 09 2001 - mfabian@suse.de
- add Japanese language pack mozilla0.9.3-langjajp-RC1.xpi
  and mozilla0.9.3-regjp-RC1.xpi (Korean language packs
  are only available for 0.9.2 and they don't work for 0.9.2,
  therefore they are commented out).
* Sun Aug 05 2001 - egger@suse.de
- Updated to version 0.9.3.
* Thu Jul 05 2001 - egger@suse.de
- Update to 0.9.2.
- Language packs are incompatible and not yet available so they'll
  follow later.
* Wed Jun 20 2001 - mfabian@suse.de
- update Japanese language pack to mozilla0.9.1-langjajp.xpi
  and mozilla0.9.1-regjp.xpi
* Thu Jun 14 2001 - egger@suse.de
- Update to version 0.9.1.
* Fri May 11 2001 - egger@suse.de
- Fixed severe bugs in SuSEconfig.mozilla script that
  may prevent users from getting a working mozilla.
* Fri May 04 2001 - mfabian@suse.de
- update Japanese language pack to mozilla0.8.1-langjajp.xpi
  and mozilla0.8.1-regjp.xpi
* Tue May 01 2001 - egger@suse.de
- Update SuSEconfig.mozilla to use md5 sums
* Wed Apr 04 2001 - mfabian@suse.de
- update Japanese language pack to langjajp-081-RC1.xpi
  and regjp-081-RC1.xpi
* Wed Mar 28 2001 - egger@suse.de
- Updated to version 0.8.1.
* Mon Mar 19 2001 - bk@suse.de
- strip mozilla shared libraries
* Sun Mar 11 2001 - violiet@suse.de
- added Korean and Japanese Language pack.
* Sat Mar 03 2001 - schwab@suse.de
- Try to add support for ia64.
- Fix run-mozilla link.
* Tue Feb 20 2001 - egger@suse.de
- Integrated a reworked version of Bernd Kaindls
  patch to get the beast running from anywhere again.
* Mon Feb 19 2001 - egger@suse.de
- Use BuildRoot.
- Reworked specfile.
- Corrected -devel package.
* Fri Feb 16 2001 - egger@suse.de
- Update to version 0.8.
* Tue Jan 23 2001 - kukuk@suse.de
- Fix use of SOURCE macro
* Tue Jan 23 2001 - kukuk@suse.de
- Move post install section to extra SuSEconfig.mozilla [Bug #5642]
* Mon Jan 22 2001 - mfabian@suse.de
- revert to 16 pt font for Japanese and Chinese. Japanese and
  Chinese characters are almost unreadable at 12pt.
* Sun Jan 21 2001 - violiet@suse.de
- set korean and taiwan ps font printing patch.
- set mozilla used small 12pixels font.
- change improved font for Japanese and Korean.
- added Korean & Japanese Name and Comment in Mozilla.desktop.
* Wed Jan 03 2001 - egger@suse.de
- Quietness patch.
- Enabled JAR file creation.
- Added GNOME icon.
- New wrapper script.
* Mon Dec 25 2000 - bk@suse.de
- set CFLAGS and CXXFLAGS for confgure to $RPM_OPT_FLAGS. With our
  configure flags(--enable-optimize -> adds -O after CFLAGS) enabled
  this enables only the i486 arch code which brought me 5%% speed
  increase in my test(Load page on hay), package size stays the same.
* Wed Dec 20 2000 - egger@suse.de
- Integrated the latest bugfixes.
- Added: Provides: web_browser to the specfile.
* Tue Dec 12 2000 - egger@suse.de
- Update to the real version 0.6.
* Sat Dec 09 2000 - bk@suse.de
- updated to Mozilla 0.6 (milestone release based on the same branch
  as Netscape 6), looks good!
- fixed cp -r install to cp -rL(for forcing to follow the links...)
- fixed postinstall to do an chroot before calling programs...
* Fri Dec 01 2000 - kukuk@suse.de
- Fix spec file syntax
* Fri Dec 01 2000 - egger@suse.de
- Made a new snapshot.
* Wed Nov 22 2000 - egger@suse.de
- Reworked the specfile and of course
- Made a new snapshot.
* Tue Nov 21 2000 - egger@suse.de
- Made a new snapshot.
* Fri Nov 10 2000 - egger@suse.de
- Made a new snapshot.
* Mon Nov 06 2000 - egger@suse.de
- Made a new snapshot.
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Sat Oct 28 2000 - egger@suse.de
- Made a new snapshot.
* Wed Oct 25 2000 - egger@suse.de
- Made a new snapshot.
* Fri Oct 13 2000 - egger@suse.de
- Made a new snapshot.
- Changed specfile slightly.
* Fri Oct 13 2000 - egger@suse.de
- Made a new snapshot.
* Sun Oct 08 2000 - egger@suse.de
- Made a new snapshot.
* Fri Oct 06 2000 - egger@suse.de
- Made a new snapshot.
* Tue Oct 03 2000 - egger@suse.de
- Made a new snapshot.
* Wed Sep 27 2000 - egger@suse.de
- Made a new snapshot.
* Thu Sep 21 2000 - egger@suse.de
- Add mozilla development package to provide the necessary
  headers for embedding the gecko engine.
- Try the new registering.
* Mon Sep 18 2000 - egger@suse.de
- Ok, forgot to save the right specfile... Sorry.
* Mon Sep 18 2000 - egger@suse.de
- New snapshot.
- Removed SPARC patch, the mozilla people applied the patch.
- Tested package on i386.
* Tue Aug 22 2000 - egger@suse.de
- Try a hint from the mozilla people to prevent that ugly mail
  hack.
- Made a new snapshot.
* Tue Jul 11 2000 - egger@suse.de
- Updated to postM17: Lots of bugfixes and perfomanceimprovements.
- Link run-mozilla.sh to /usr/X11/bin/mozilla.
- Correct the wrapper script to work from anywhere.
- Send a mail to the admin after installing mozilla
  to tell him that he has to run mozilla once as root.
* Mon Jul 10 2000 - ro@suse.de
- specfile fix
* Mon Jul 10 2000 - ro@suse.de
- try to call mozilla to create registry
* Fri Jul 07 2000 - kukuk@suse.de
- Add SPARC fix back
* Thu Jul 06 2000 - egger@suse.de
- Unified tarballs.
- Change incorrect strip command.
* Thu Jul 06 2000 - ro@suse.de
- added more dirs
* Wed Jul 05 2000 - egger@suse.de
- Add missing dirs...
* Tue Jul 04 2000 - egger@suse.de
- Use latest bugfix snapshot.
- Try to prevent a bug in libpthreads/nspr by building
  with debugging and strip everything afterwards.
- Enable optimize because it works now.
- Install wrapper script instead of binary into exectuable
  path to work around problems...
* Fri Jun 16 2000 - egger@suse.de
- Use latest snapshot.
- Recheckin since the last update got lost...
- Bumped version to M16.
* Sun Jun 11 2000 - egger@suse.de
- Use latest snapshot.
- Checked out missing dir, too.
* Fri Jun 09 2000 - egger@suse.de
- Use latest snapshot.
* Sat May 27 2000 - egger@suse.de
- Well, maybe I should have replaced all occurences of X11... :)
* Mon May 22 2000 - egger@suse.de
- /usr/X11/bin/mozilla is not allowed anymore, so use
  /usr/X11R6/bin/mozilla.
* Thu May 18 2000 - egger@suse.de
- Checked in new snapshot.
* Mon May 15 2000 - egger@suse.de
- Readded orbit to the requirements.
* Sat May 13 2000 - egger@suse.de
- Checked in completely new .spec-file and the
  latest CVS snapshot.
* Sun Apr 09 2000 - bk@suse.de
- added suse update config macro
- added automake to list of packages needed for building mozilla
* Tue Mar 28 2000 - ro@suse.de
- removed optimize
* Thu Mar 23 2000 - ro@suse.de
- update to M14-no-crypto
* Fri Jan 28 2000 - kukuk@suse.de
- Update to M13
- Fix for SPARC
* Tue Jan 25 2000 - ro@suse.de
- update to M12
* Wed Dec 15 1999 - ro@suse.de
- reworked install-section of specfile
* Wed Nov 24 1999 - ro@suse.de
- update to M11
* Wed Oct 20 1999 - ro@suse.de
- added comment for ld-script
* Mon Oct 18 1999 - ro@suse.de
- fixed config.sub for ev6
* Wed Oct 13 1999 - ro@suse.de
- update to M10
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 15 1999 - bs@suse.de
- user glib, gtk instead of glibn, gtkn
- call Check after install
* Thu Jun 03 1999 - ro@suse.de
- update to M6
* Tue Jun 01 1999 - ro@suse.de
- fixed shellscripts for startup
* Tue Jun 01 1999 - ro@suse.de
- moved libraries to /usr/lib/mozilla/lib
  and start using "LD_LIBRARY_PATH"
* Mon May 31 1999 - ro@suse.de
- created packages (mozilla and mozillad)
